CREATE TABLE fun_qrtz_fired_triggers (
    SCHED_NAME               VARCHAR2(480) ,
    SCHED_TIME               NUMBER(13, 0) ,
    ENTRY_ID                 VARCHAR2(380) ,
    TRIGGER_NAME             VARCHAR2(1024)    NOT NULL,
    TRIGGER_GROUP            VARCHAR2(320)     NOT NULL,
    IS_VOLATILE              VARCHAR2(4)   ,
    IS_NONCONCURRENT         VARCHAR2(4)   ,
    INSTANCE_NAME            VARCHAR2(320)     NOT NULL,
    FIRED_TIME               NUMBER(13, 0)     NOT NULL,
    PRIORITY                 NUMBER(13, 0)     NOT NULL,
    STATE                    VARCHAR2(64)      NOT NULL,
    JOB_NAME                 VARCHAR2(1024),
    JOB_GROUP                VARCHAR2(320) ,
    IS_STATEFUL              VARCHAR2(4)   ,
    REQUESTS_RECOVERY        VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTRY_ID                 VARCHAR2(380) ,
    TRIGGER_NAME             VARCHAR2(1024)    NOT NULL,
    TRIGGER_GROUP            VARCHAR2(320)     NOT NULL,
    IS_VOLATILE              VARCHAR2(4)   ,
    INSTANCE_NAME            VARCHAR2(320)     NOT NULL,
    FIRED_TIME               NUMBER(13, 0)     NOT NULL,
    PRIORITY                 NUMBER(13, 0)     NOT NULL,
    STATE                    VARCHAR2(64)      NOT NULL,
    JOB_NAME                 VARCHAR2(1024),
    JOB_GROUP                VARCHAR2(320) ,
    IS_STATEFUL              VARCHAR2(4)   ,
    REQUESTS_RECOVERY        VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SCHED_NAME               VARCHAR2(480) ,
    SCHED_TIME               NUMBER(13, 0) ,
    IS_NONCONCURRENT         VARCHAR2(4)   ,
    CONSTRAINT pk_fun_qrtz_fired_triggers PRIMARY KEY (SCHED_NAME, ENTRY_ID, ENTRY_ID, SCHED_NAME)
);
